Subject: bug#360: emacs: No GUI emacs, no LXQT Menu for Emacs

From: Gordon Haverland <[email-masked]>
Date: Sat, 19 Oct 2019 14:23:47 -0700

Package: emacs
Version: 1:26.3+1-1
Severity: normal

Dear Maintainer,

I upgraded emacs on this computer (which has little Internet access),
which resulted in emac25 packages being removed.  If I start emacs-26.3
from a command line (in a TUI or xterm) I do get a working emacs.
Parts of this problem looked GTK3 relted, so I have upgraded all the
GTK3 packages that are available.  This doesn't make a difference.
There were elpa packages in the available package list, so I upgraded
those in case they caused some problem during installation which
stopped the menu entry (Programming/Emacs) from being written.  I have
re-installed all the emacs packages, which made no difference.

I started emacs from the command line (xterm) under strace, and the
resulting strace has no lines which grep could find with grep -i gtk.

My LXQT menu system doesn't display a LX-runner that I can see.  I
spawned lxqt-runner from a command line (xterm), and it popped a box up
on the screen.  Having it try to spawn emacs did not result in a GUI
emacs session.

~/.xsession-errors doesn't seem to have anything applicable.

/var/log/messages doesn't seem to have anything applicable.

/var/log/Xorg.0.log doesn't seem to have anything applicable.

running strace -o /tmp/emacs2.strace emacs -q --geometry80x36 from
lxqt-runner does not start a GUI emacs.  The strace output ends with a
message to STDERR that STDIN is not a tty.  I don't know if there is
anything else useful in the strace output.

There doesn't seem to be any information here, which might help in
identifying what is happening. If you had suggestions for what other
things to try, I might be able to provide more information.

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux beowulf/ceres
Release:	10
Codename:	n/a
Architecture: x86_64

Kernel: Linux 5.2.0-3-amd64 (SMP w/12 CPU cores)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8),
LANGUAGE=en_CA.UTF-8 (charmap=UTF-8) Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages emacs depends on:
ii  emacs-nox  1:26.3+1-1

emacs recommends no packages.

emacs suggests no packages.

-- no debconf information